## libjpeg6b-6b.tar.bz2

=== debian/extra/Makefile ===
CFLAGS = -O2 -Wall -g
CC = cc
INSTALL = install -m755 -o root -g root
DESTDIR =
prefix  = /usr/local
bindir  = $(prefix)/bin
mandir  = $(prefix)/share/man/man1

all: jpegexiforient

jpegexiforient: jpegexiforient.c
	$(CC) $(CFLAGS) -o jpegexiforient jpegexiforient.c
clean:
	-rm -f jpegexiforient
install:
	$(INSTALL) jpegexiforient    $(DESTDIR)$(bindir)
	$(INSTALL) jpegexiforient.1  $(DESTDIR)$(mandir)
	$(INSTALL) exifautotran      $(DESTDIR)$(bindir)
	$(INSTALL) exifautotran.1    $(DESTDIR)$(mandir)

=== debian/changelog ===
libjpeg6b (6b-13) unstable; urgency=low

  * The "If at first you don't succeed..." release. 
  * Change --enable-maxmem to 1024, following Guido advice.
    This should fix the slowdowns with large files (for large < 1Gb):
    closes: #356556, #365025, Thanks Nicolas.
    If you hit performance problems, please set the JPEGMEM variable to
    about half your available RAM, see jpegtran(1).
  * Update libjpeg-progs README.Debian to reflect the new patch set and
    the JPEGMEM feature.
  * Bump standard version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Fri,  5 May 2006 19:14:25 +0200

libjpeg6b (6b-12) unstable; urgency=low

  * The "vote for me" release
  * Bump standard version to 3.6.2.
  * Run  'make test' instead of home-made test-suite.
  * Switch to debhelper v4.
  * libjpeg is now configured with --enable-maxmem=32. This limits the memory
    usage to 32Mb and it can be overrided by JPEGMEM. Without this flag
    JPEGMEM is ignored and there were no limits.
    closes: #346023. Thanks C. Scott Ananian.

 -- Bill Allombert <ballombe@debian.org>  Thu,  2 Mar 2006 18:52:44 +0100

libjpeg6b (6b-11) unstable; urgency=high

  * The "Silencio" release
  * exifautotran: Apply patch by Uwe Zeisberger to fix bad temporary file
    handling.  closes: #340079

 -- Bill Allombert <ballombe@debian.org>  Sun, 20 Nov 2005 20:57:07 +0100

libjpeg6b (6b-10) unstable; urgency=low

  * The "timeout" release.
  * Rebuild with current toolchain.
  * Depends on libc-dev instead of libc6-dev. closes: #294696
    Thanks Joel Aelwyn for discussing thoroughly the matter.
  * Instead of copying /usr/bin/libtool, we replace it by a script that
    call libtool (using standard path search). Remarked by Jesus Climent.
  * debian/control: remove pre-hamm cruft.
  * Add jpegexiforient and jpegautotran by Guido Vollbeding
    <http://sylvana.net/jpegcrop/exif_orientation.html> as proposed by Philip
    Armstrong. closes: #257061. 
  * Run the test-suite at build time instead of shipping it in the package:
    - /usr/share/doc/libjpeg-progs/tests: removed.
    - debian/control: Add Build-Depends on sharutils for uuencode.
    - debian/libjpeg-progs.dirs: removed.
    - debian/libjpeg-progs.test: removed.

 -- Bill Allombert <ballombe@debian.org>  Tue,  1 Mar 2005 19:43:26 +0100

libjpeg6b (6b-9) unstable; urgency=low

  * The "I'm all for aggressive goals" release.
  * Rebuild with new libtool. closes: #201943.
  * patch 100_crop: Updated from Guido Vollbeding <guido@jpegclub.org>
    to include patches 203_jpegtran_errmsg,204_perfect.
  * patch 200_crop_man: Include 205_perfect_man.
  * patches 203_jpegtran_errmsg, 204_perfect, 205_perfect_man: removed
  * Add patch 203_rdppm: fix cjpeg issue with 16-bit PPM files. closes: #208937
  * Bump standard version to 3.6.1.
  * Update debian/edit-patch.

 -- Bill Allombert <ballombe@debian.org>  Mon,  8 Sep 2003 16:22:08 +0200

libjpeg6b (6b-8) unstable; urgency=low

  * The "I *hate* when that happens" release.
  * Move libjpeg62-dev to libdevel section.
  * See debian/README.sources for detail about the (d)patch system.
  * debian/rules: avoid to run configure twice.
  * Add patches 204_perfect and 205_perfect_man. They implement the
    -perfect jpegtran option as proposed by Mark W. Eichin. closes: #189027
  * Bump standard version to 3.5.10.
  * Use /usr/bin/libtool instead of ldconfig-generated libtool, and remove
    various libtool related kludges, including patch 301_configure.
    closes: #195281. Thanks Robert Millan for the suggestion.
  * Remove patch 302_makefile. Fix debian/rules instead.

 -- Bill Allombert <ballombe@debian.org>  Sat, 31 May 2003 16:16:59 +0200

libjpeg6b (6b-7) unstable; urgency=low

  * Rebuild with new gcc/new glibc/new debhelper.
  * Add -g to build options according to new policy.
  * Add support for DEB_BUILD_OPTIONS noopt. nostrip is handled by dh_strip.
  * Bump standard version to 3.5.9.
  * Extend description a bit (If you have a better one please email me!).
  * Use dpatch to handle the patches.

 -- Bill Allombert <ballombe@debian.org>  Sun, 16 Mar 2003 12:19:36 +0100

libjpeg6b (6b-6) unstable; urgency=low

  * The "Try to break sarge before it even got a name" release
  * jpegtran: better error messages when opening files.
    closes: #147516 Thanks Mark W. Eichin.
  * Add debian/patch dir with my patches.
  * Add extern "C" if we are under C++. 
    closes: #113167 Thanks, Fredrik Jagenheim.
  * Remove HAVE_STD{LIB,DEF}_H from jconfig.h since they are not used and
    conflict with autoconf. closes: #109516 Thanks <Benedikt.Roth@gmx.net>
  * Add README.Debian in /usr/share/libjpeg62-dev

 -- Bill Allombert <ballombe@debian.org>  Mon,  3 Jun 2002 19:34:08 +0200

libjpeg6b (6b-5) unstable; urgency=low

  * jpeg-->JPEG in libjpeg-progs description.
  * Add lib path to dh_shlibdeps to avoid warning.
  * Apply patch from <http://sylvana.net/jpegcrop/croppatch.tar.gz> by
    <guido@jpegclub.org> closes: #129412 Thanks, Colin Marquardt.

 -- Bill Allombert <ballombe@debian.org>  Mon, 20 May 2002 11:55:22 +0200

libjpeg6b (6b-4) unstable; urgency=low

  * Avoid bashism in debian/rules.
  * Update libtool to 1.3.5. (1.4 will break). 
    closes: #52095 Thanks, <Marcus.Brinkmann@ruhr-uni-bochum.de>
  * Patch config.guess to use version in the autotools-dev package. 
  * Correct Section: field of libjpeg62 and libjpeg62-dev.

 -- Bill Allombert <ballombe@debian.org>  Tue, 20 Nov 2001 10:23:47 +0100

libjpeg6b (6b-3) unstable; urgency=low

  * The "Where is ltconfig ?" release.
  * Remove jconfig.h in debian/rules clean and do some clean up.
  * Install libjpeg.la per Policy 11.2.
  * Remove duplicate wizard.doc file in libjpeg62-dev. 
  * Use dpkg-architecture instead of config.guess.
  * Patch config.sub to use version in the autotools-dev package. 
    closes: #85558, #120039
  * Patch rdjpgcom.c to use locales for isprint check on comment chars.
    closes: #116589 Thanks, Neal H Walfield <neal@cs.uml.edu>


=== debian/control ===
Source: libjpeg6b
Maintainer: Bill Allombert <ballombe@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 4), autotools-dev, libtool, sharutils
Standards-Version: 3.7.2

Package: libjpeg62
Architecture: any
Section: libs
Description: The Independent JPEG Group's JPEG runtime library
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the shared library.
Depends: ${shlibs:Depends}

Package: libjpeg62-dev
Architecture: any
Section: libdevel
Description: Development files for the IJG JPEG library
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the static library, headers and documentation.
Provides: libjpeg-dev
Depends: libjpeg62 (=${Source-Version}), libc-dev

Package: libjpeg-progs
Architecture: any
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files:
  cjpeg/djpeg: convert to/from the JPEG file format
  rdjpgcom/wrjpgcom: read/write comments in JPEG files
  jpegtran: lossless transformations of JPEG files
  jpegexiforient/exifautotran: manipulate EXIF orientation tag
Depends: ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=libjpeg

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

include debian/patch.mk

export CFLAGS=-D_REENTRANT -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif


DH_COMPAT=1
#export DH_VERBOSE=1

build: build-stamp 
build-stamp: patch-stamp
	dh_testdir
	./configure --prefix=/usr --mandir=usr/share/man \
	 --enable-static --enable-shared --enable-maxmem=1024 \
	 --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) 
	printf '#!/bin/sh\nexec libtool "$$@"\n' >libtool
	$(MAKE)
	$(MAKE) test
	$(MAKE) -C debian/extra

	touch build-stamp

clean: patch
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-$(MAKE) clean
	-$(MAKE) clean -C debian/extra
	-rm -f libtool libtool.cfg Makefile jconfig.h config.log
	dh_clean

binary-indep: 

binary-arch: build
	dh_testdir 
	dh_testroot 
	dh_clean -k
	dh_installdirs 
	mkdir --parents debian/tmp/usr/bin \
	                debian/tmp/usr/lib \
			debian/tmp/usr/include \
			debian/tmp/usr/share/man/man1
	$(MAKE) install \
		prefix=`pwd`/debian/tmp/usr \
		mandir=`pwd`/debian/tmp/usr/share/man/man1
	$(MAKE) install -C debian/extra prefix=`pwd`/debian/tmp/usr
#<ballombe@debian.org>:mjpegtools require this file to build and header say:
# * These declarations are considered internal to the JPEG library; most
# * applications using the library shouldn't need to include this file.
# So it is not forbidden to use it, therefore it must be installed.
	install -m644 jpegint.h debian/tmp/usr/include
	# fix jconfig.h 
	rm debian/tmp/usr/include/jconfig.h
	sed -e "s/#\(undef\|define\) HAVE_STD\(DEF\|LIB\)_H//g" \
		jconfig.h > debian/tmp/usr/include/jconfig.h
	# separate out lib package
	dh_movefiles
	# Finish it off with debhelper
	dh_installdocs README
	dh_installexamples 
	dh_installchangelogs change.log
	dh_strip 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_shlibdeps -l`pwd`/debian/libjpeg6b/usr/lib 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary:	binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary build patch
